// man tty_ioctl

#include <sys/ioctl.h>
#include <string>
 
using namespace std;

int main()
{
//    string cmd{ "cd /home\nl" };
//    for (char ch: cmd)
//        ioctl(0, TIOCSTI, &ch);

    ioctl(0, TIOCSTI, "l");         // add an extra s via the kbd to get 'ls'
}
